{ config, lib, pkgs, ... }:

with lib;

let cfg = config.features.desktop.media;

in {

  options.features.desktop.media.enable =
    mkEnableOption "enable media features";

  config = mkIf cfg.enable {
    home.packages = with pkgs; [
      betterdiscordctl
      davinci-resolve
      discord
      element-desktop
      ffmpeg
      freetube
      gphoto2
      handbrake
      makemkv
      mpv
      obs-studio
      plexamp
      uxplay
      vlc
      youtube-dl
    ];
  };
}
