{ config, lib, pkgs, ... }:

with lib;

let cfg = config.features.gaming.sunshine;

in {

  options.features.gaming.sunshine.enable = mkEnableOption "enable Sunshine";

  config = mkIf cfg.enable {

    home.packages = with pkgs; [ sunshine ];

  };
}
