{ pkgs, ... }: {
  services.xserver = {
    enable = true;
        videoDrivers = [ "nvidia" ];
    displayManager = {
      defaultSession = "hyprland";
      sddm = { enable = true; };
    };
    libinput.enable = true; # touchpad support
    layout = "de";
    xkbOptions = "ctrl:nocaps";
  };
  services.xserver.screenSection = ''
    Option         "metamodes" "nvidia-auto-select +0+0 {ForceFullCompositionPipeline=On}"
    Option         "AllowIndirectGLXProtocol" "off"
    Option         "TripleBuffer" "on"
  '';
}
